be.fgov.ehealth.rn.commons.business.v1

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.rn.commons.business.v1.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.rn.commons.business.v1 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.rn.commons.business.v1

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BusinessAnomaliesType` | `createBusinessAnomaliesType()` Create an instance of `BusinessAnomaliesType`
    `BusinessAnomalyType` | `createBusinessAnomalyType()` Create an instance of `BusinessAnomalyType`
    `CBSSFaultType` | `createCBSSFaultType()` Create an instance of `CBSSFaultType`
    `DataFiltersType` | `createDataFiltersType()` Create an instance of `DataFiltersType`
    `InformationCBSSBatchType` | `createInformationCBSSBatchType()` Create an instance of `InformationCBSSBatchType`
    `InformationCBSSType` | `createInformationCBSSType()` Create an instance of `InformationCBSSType`
    `InformationCustomerType` | `createInformationCustomerType()` Create an instance of `InformationCustomerType`
    `InformationNotificationCBSSType` | `createInformationNotificationCBSSType()` Create an instance of `InformationNotificationCBSSType`
    `InformationNotifiedType` | `createInformationNotifiedType()` Create an instance of `InformationNotifiedType`
    `InformationSupplierType` | `createInformationSupplierType()` Create an instance of `InformationSupplierType`
    `InformationType` | `createInformationType()` Create an instance of `InformationType`
    `LocalizedDescriptionsType` | `createLocalizedDescriptionsType()` Create an instance of `LocalizedDescriptionsType`
    `LocalizedDescriptionType` | `createLocalizedDescriptionType()` Create an instance of `LocalizedDescriptionType`
    `Message` | `createMessage()` Create an instance of `Message`
    `OpenPeriodType` | `createOpenPeriodType()` Create an instance of `OpenPeriodType`
    `OpenQuarterPeriodType` | `createOpenQuarterPeriodType()` Create an instance of `OpenQuarterPeriodType`
    `OrganizationIdentificationType` | `createOrganizationIdentificationType()` Create an instance of `OrganizationIdentificationType`
    `PeriodType` | `createPeriodType()` Create an instance of `PeriodType`
    `QuarterPeriodType` | `createQuarterPeriodType()` Create an instance of `QuarterPeriodType`
    `SenderReceiverType` | `createSenderReceiverType()` Create an instance of `SenderReceiverType`
    `SsinWithCanceledAndReplacedByStatusType` | `createSsinWithCanceledAndReplacedByStatusType()` Create an instance of `SsinWithCanceledAndReplacedByStatusType`
    `SsinWithCanceledAndReplacesStatusType` | `createSsinWithCanceledAndReplacesStatusType()` Create an instance of `SsinWithCanceledAndReplacesStatusType`
    `StatusOkType` | `createStatusOkType()` Create an instance of `StatusOkType`
    `StatusType` | `createStatusType()` Create an instance of `StatusType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.rn.commons.business.v1

  - ### Method Detail

    - #### createMessage

          public Message createMessage()

      Create an instance of `Message`

    - #### createInformationType

          public InformationType createInformationType()

      Create an instance of `InformationType`

    - #### createInformationCBSSType

          public InformationCBSSType createInformationCBSSType()

      Create an instance of `InformationCBSSType`

    - #### createInformationCustomerType

          public InformationCustomerType createInformationCustomerType()

      Create an instance of `InformationCustomerType`

    - #### createInformationSupplierType

          public InformationSupplierType createInformationSupplierType()

      Create an instance of `InformationSupplierType`

    - #### createInformationNotificationCBSSType

          public InformationNotificationCBSSType createInformationNotificationCBSSType()

      Create an instance of `InformationNotificationCBSSType`

    - #### createInformationNotifiedType

          public InformationNotifiedType createInformationNotifiedType()

      Create an instance of `InformationNotifiedType`

    - #### createInformationCBSSBatchType

          public InformationCBSSBatchType createInformationCBSSBatchType()

      Create an instance of `InformationCBSSBatchType`

    - #### createSenderReceiverType

          public SenderReceiverType createSenderReceiverType()

      Create an instance of `SenderReceiverType`

    - #### createOrganizationIdentificationType

          public OrganizationIdentificationType createOrganizationIdentificationType()

      Create an instance of `OrganizationIdentificationType`

    - #### createOpenPeriodType

          public OpenPeriodType createOpenPeriodType()

      Create an instance of `OpenPeriodType`

    - #### createPeriodType

          public PeriodType createPeriodType()

      Create an instance of `PeriodType`

    - #### createOpenQuarterPeriodType

          public OpenQuarterPeriodType createOpenQuarterPeriodType()

      Create an instance of `OpenQuarterPeriodType`

    - #### createQuarterPeriodType

          public QuarterPeriodType createQuarterPeriodType()

      Create an instance of `QuarterPeriodType`

    - #### createLocalizedDescriptionType

          public LocalizedDescriptionType createLocalizedDescriptionType()

      Create an instance of `LocalizedDescriptionType`

    - #### createLocalizedDescriptionsType

          public LocalizedDescriptionsType createLocalizedDescriptionsType()

      Create an instance of `LocalizedDescriptionsType`

    - #### createDataFiltersType

          public DataFiltersType createDataFiltersType()

      Create an instance of `DataFiltersType`

    - #### createBusinessAnomaliesType

          public BusinessAnomaliesType createBusinessAnomaliesType()

      Create an instance of `BusinessAnomaliesType`

    - #### createBusinessAnomalyType

          public BusinessAnomalyType createBusinessAnomalyType()

      Create an instance of `BusinessAnomalyType`

    - #### createCBSSFaultType

          public CBSSFaultType createCBSSFaultType()

      Create an instance of `CBSSFaultType`

    - #### createStatusType

          public StatusType createStatusType()

      Create an instance of `StatusType`

    - #### createStatusOkType

          public StatusOkType createStatusOkType()

      Create an instance of `StatusOkType`

    - #### createSsinWithCanceledAndReplacesStatusType

          public SsinWithCanceledAndReplacesStatusType createSsinWithCanceledAndReplacesStatusType()

      Create an instance of `SsinWithCanceledAndReplacesStatusType`

    - #### createSsinWithCanceledAndReplacedByStatusType

          public SsinWithCanceledAndReplacedByStatusType createSsinWithCanceledAndReplacedByStatusType()

      Create an instance of `SsinWithCanceledAndReplacedByStatusType`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.